<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.oa.mapper.OaBindingItemDetailMapper">

    <resultMap type="com.ruoyi.oa.domain.OaBindingItemDetail" id="OaBindingItemDetailResult">
        <result property="bindingItemId" column="binding_item_id"/>
        <result property="bindingId" column="binding_id"/>
        <result property="templateType" column="template_type"/>
        <result property="itemDetailId" column="item_detail_id"/>
        <result property="paidAmount" column="paid_amount"/>
        <result property="delFlag" column="del_flag"/>
        <result property="remark" column="remark"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>
    <select id="findByBindingId" resultType="com.ruoyi.oa.domain.OaBindingItemDetail">
        SELECT *
        FROM oa_binding_item_detail
        WHERE binding_id = #{bindingId}
          AND del_flag = 0
    </select>


</mapper>
